### Method

# Gimp Layer set_edit_mask

#### Declaration [src]

    gboolean
    gimp_layer_set_edit_mask (
      GimpLayer* layer,
      gboolean edit_mask
    )

#### Description [src]

Set the edit mask setting of the specified layer.

This procedure sets the specified layer’s edit mask setting. This controls whether the layer or it’s mask is currently active for editing. If the specified layer has no layer mask, then this procedure will return an error.

#### Parameters

`edit_mask` | `gboolean`
| The new layer’s edit mask setting.

#### Return value

Returns: | `gboolean`
| TRUE on success.